Hive Streaming

List event sessions

GET
/v1/events/sessions

Lists event sessions.

Authorization

httpAuth
headerAuthorizationBearer <token>

Query Parameters

startedAtFrom?string
startedAtTo?string
endedAtFrom?string
endedAtTo?string
aggr?string
cursor?string
orderBy?string
orderAsc?string

Header Parameters

platform-id*string
tenant-id*string
Origin?string
Referer?string

Response Body

application/json
  1. response
data?array<>
pagination?
curl -X GET "https://example.com/v1/events/sessions" \  -H "platform-id: string" \  -H "tenant-id: string"
{  "data": [    {      "eventSessionId": "cdd6267e-a81b-463f-8906-4e81d1f0e66b",      "platformId": "string",      "tenantId": "string",      "contentId": "string",      "eventName": "string",      "startedAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "hasEnded": true,      "viewersCount": 0,      "reliabilityScore": 0.1,      "cdnTraffic": 0,      "ecdnTraffic": 0    }  ],  "pagination": {    "nextCursor": "string"  }}